import type { Breadcrumb, BreadcrumbHint, TextEncoderInternal } from '@sentry/types';
import type { ReplayContainer } from '../types';
interface ExtendedNetworkBreadcrumbsOptions {
    replay: ReplayContainer;
    textEncoder: TextEncoderInternal;
}
/**
 * This will enrich the xhr/fetch breadcrumbs with additional information.
 *
 * This adds:
 * * request_body_size
 * * response_body_size
 *
 * to the breadcrumb data.
 */
export declare function handleNetworkBreadcrumbs(replay: ReplayContainer): void;
/** just exported for tests */
export declare function handleNetworkBreadcrumb(options: ExtendedNetworkBreadcrumbsOptions, breadcrumb: Breadcrumb, hint?: BreadcrumbHint): void;
/** only exported for tests */
export declare function getBodySize(body: RequestInit['body'], textEncoder: TextEncoder | TextEncoderInternal): number | undefined;
/** only exported for tests */
export declare function parseContentSizeHeader(header: string | null | undefined): number | undefined;
export {};
//# sourceMappingURL=handleNetworkBreadcrumbs.d.ts.map